apiVersion: apps/v1
kind: Deployment
metadata:
  name: frontend-webserver-deployment
  labels:
    app: frontend-webserver
spec:
  replicas: 1
  selector:
    matchLabels:
      app: frontend-webserver
  template:
    metadata:
      labels:
        app: frontend-webserver
    spec:
      containers:
        - name: container
          image: datastropheregistry.azurecr.io/frontend:latest
          ports:
            - containerPort: 3000
      imagePullSecrets:
        - name: docker-regcred

---
kind: Service
apiVersion: v1
metadata:
  name: frontend-webserver
spec:
  selector:
    app: frontend-webserver
  ports:
    - port: 3000
      targetPort: 80
